at.chipkarte.client.base.soap.constants

## Class DialogExceptionConstants

- Object
- - at.chipkarte.client.base.soap.constants.DialogExceptionConstants

-     public final class DialogExceptionConstants
      extends Object

  Fehlerkonstanten für Fehler im Zusammenhang mit dem aktuellen Dialog.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDRESS_ALREADY_SET` Der letzte Schritt des Dialogaufbaus (Setzen einer Ordination und eines Tätigkeitsbereichs) wurde bereits ausgeführt.
    `static int` | `CARD_INVALID` Die zur Authentifizierung verwendete o-card ist am e-card-Serversystem gesperrt.
    `static int` | `CARDTOKEN_EXPIRED` Das angegebene <e-card-Token | Admin-Karten-Token> ist für diese Anwendung nicht mehr gültig.
    `static int` | `CARDTOKEN_INVALID` Das angegebene <e-card-Token | Admin-Karten-Token | CardToken> ist ungültig.
    `static int` | `CARDTOKEN_REQUIRED` Für die Durchführung muss eine Karte verwendet werden.
    `static int` | `CARDTOKEN_SIG_TYPE_NOT_ALLOWED` Die Verwendung dieser Funktion mit dem angegebenen Signaturtyp ist nicht zulässig.
    `static int` | `CARDTOKEN_SVNR_MISMATCH` Die SV-Nummer der verwendeten <e-card | Admin-Karte> stimmt nicht mit der angegebenen SV-Nummer überein.
    `static int` | `CARDTOKEN_TYPE_NOT_ALLOWED` Die Verwendung dieser Funktion mit einer <e-card | Admin-Karte | Karte> ist nicht zulässig.
    `static int` | `CARDTOKEN_VPNR_MISMATCH` Das angegebene <e-card-Token | Admin-Karten-Token> ist einem anderen Vertragspartner zugeordnet.
    `static int` | `CERTIFICATE_MISMATCH` Das zur Authentifizierung verwendete Software-Zertifikat stimmt nicht mit jenem der Anmeldung überein.
    `static int` | `CERTIFICATE_PROBLEM_OCARD_DIALOG_REQUIRED` Es ist ein Problem bei der Verwendung des Software-Zertifikats im Offline-Modus zur Authentifizierung oder Signierung eines Requests aufgetreten.
    `static int` | `CERTIFICATE_REQUEST_OUT_OF_DATE` Der Request ist laut Zeitstempel zum aktuellen Zeitpunkt ungültig.
    `static int` | `CERTIFICATE_SIGNATURE_ALGORITHM_INVALID` Der zur Erstellung der Software-Zertifikat-Signatur verwendete Algorithmus ist nicht zulässig.
    `static int` | `CERTIFICATE_TIMESTAMP_INTERVAL_INVALID` Der im Request angegebene Gültigkeitszeitraum (Zeitraum zwischen Timestamp Created und Timestamp Expires) ist zu groß gewählt.
    `static int` | `CERTIFICATE_TIMESTAMPS_INVALID` Der Request enthält keine oder ungültig formatierte Zeitstempel.
    `static int` | `CORRUPT_DIALOGID` Die übergebene Dialog-Id wurde vom System als korrupt erkannt.
    `static int` | `DIALOG_CANCELED` Die angegebene Dialog-Id ist nicht mehr gültig.
    `static int` | `DIALOG_CURRENTLY_USED` Für diese Dialog-ID ist bereits eine andere Anfrage in Bearbeitung.
    `static int` | `DIALOG_ID_ALREADY_EXISTS` Es wurde ein Dialog mit Failover-Support aufgebaut und eine Dialog-Id erzeugt, die am e-card-Server bereits existiert.
    `static int` | `DIALOG_ID_MISMATCH` Es wurde eine Authentifizierung mit Software-Zertifikat versucht, wobei die in der Funktion angegebene Dialog-Id nicht mit der Dialog-Id der Software-Signatur übereinstimmt.
    `static int` | `DIALOG_INVALID` Die angegebene Dialog-Id ist ungültig.
    `static int` | `DIALOG_NOT_AUTHENTICATED` Der Dialog wurde noch nicht erfolgreich authentifiziert.
    `static int` | `DIALOG_NOT_CREATED_BEFORE` Es wurde von diesem Vertragspartner noch kein Dialog aufgebaut, deshalb ist keine Anmeldung im Offline-Modus möglich.
    `static int` | `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE` Der Dialog ist ungültig (es ist ein Wechsel vom Offline- zum Online-Modus erfolgt).
    `static int` | `DIALOG_TIMEOUT` Die angegebene Dialog-Id ist nicht mehr gültig.
    `static int` | `DIALOG_UNKNOWN` Es wurde ein Failover versucht, aber die angegebene Dialog-Id ist am Server nicht bekannt.
    `static int` | `ELGAROLLE_INVALID` Der Wert in ELGA-Rolle ist ungültig.
    `static int` | `ELGAROLLE_WRONG_FORMAT` Das Format von ELGA-Rolle ist ungültig.
    `static int` | `EXT_UID_INVALID` Die angegebene ext-UID ist ungültig.
    `static int` | `FUNCTION_NOT_ALLOWED_IN_ONLINE_MODE` Die ausgewählte Funktion ist im Online-Modus nicht erlaubt.
    `static int` | `GDAMA_NACHNAME_WRONG_FORMAT` Das Format von Nachname ist ungültig.
    `static int` | `GDAMA_OR_PROZESS_REQUIRED` Entweder GDAMA oder Prozess muss angegeben werden, da eine ELGA-Rolle versorgt wurde.
    `static int` | `GDAMA_OR_PROZESS_WITHOUT_ELGAROLLE_NOT_ALLOWED` GDAMA oder Prozess dürfen nur angegeben werden, wenn auch eine ELGA-Rolle versorgt wurde.
    `static int` | `GDAMA_TITEL_HINTEN_WRONG_FORMAT` Das Format von Titel hinten ist ungültig.
    `static int` | `GDAMA_TITEL_VORNE_WRONG_FORMAT` Das Format von Titel vorne ist ungültig.
    `static int` | `GDAMA_VORNAME_NACHNAME_REQUIRED` Bei Angabe von GDA-MA müssen Vorname und Nachname angegeben werden.
    `static int` | `GDAMA_VORNAME_WRONG_FORMAT` Das Format von Vorname ist ungültig.
    `static int` | `GDAMA_ZUSATZINFO_WRONG_FORMAT` Das Format von Zusatzinfo ist ungültig.
    `static int` | `HERSTELLERID_DISABLED` Die Hersteller-ID des Software-Herstellers ist im e-card System als gesperrt gekennzeichnet.
    `static int` | `HERSTELLERID_INVALID` Die angegebene Hersteller-ID ist ungültig.
    `static int` | `HERSTELLERID_REQUIRED` Im Zuge des Dialogaufbaus ist die Angabe der Hersteller-ID des Software-Herstellers verpflichtend.
    `static int` | `HERSTELLERID_UNKNOWN` Die Hersteller-ID des Software-Herstellers ist im e-card System nicht registriert.
    `static int` | `INVALID_CERTIFICATE` Das zur Authentifizierung verwendete Software-Zertifikat oder die Vertragspartnernummer ist unbekannt, das Software-Zertifikat ist am e-card-Serversystem keiner Vertragspartnernummer zugeordnet, das Software-Zertifikat ist gesperrt oder abgelaufen, das Software-Zertifikat ist semantisch ungültig oder die Prüfung des Signaturformats ist fehlgeschlagen.
    `static int` | `INVALID_FG` Deprecated. Wird nicht mehr verwendet und daher in einer zukünftigen Schnittstellenversion entfernt.
    `static int` | `INVALID_PARAMETER_COMBINATION` Die zur Dialogerzeugung verwendeten Parameter sind unzulässig: CardReaderId und VpNummer dürfen nicht gleichzeitig gesetzt sein.
    `static int` | `INVALID_TRANSACTION_ID` Die vom externen System generierte TransactionId ist ungültig.
    `static int` | `INVALID_VPNR_FORMAT` Die angegebene Vertragspartnernummer hat ein ungültiges Format.
    `static int` | `MULTIPLE_DIALOGID` Die Anfrage enthält mehr als eine Dialog-ID.
    `static int` | `NACHFOLGE_ORDID_NOTFOUND` Die angegebene OrdinationId entspricht keiner gültigen Nachfolge-Ordination.
    `static int` | `NO_CARD_READER` Es wurde eine Funktion mit Kartenleserzugriff aufgerufen, aber zuvor beziehungsweise in der Funktion kein Kartenleser zugeordnet/übergeben.
    `static int` | `NO_SIGNATURE` Es wurde keine Signatur übergeben.
    `static int` | `NO_VPNR_NUMBER` Es wurde bei der Dialogerzeugung keine Vertragspartnernummer angegeben, daher ist die Authentifizierung mit Software-Zertifikat nicht möglich.
    `static int` | `OCARD_GINA_MISMATCH` Die gesteckte Karte ist nicht zulässig für diese GINA.
    `static int` | `ORDINATION_ID_INVALID` Die gewählte Ordination und/oder der Tätigkeitsbereich sind nicht (mehr) gültig.
    `static int` | `ORDINATION_ID_NOTSET` Der letzte Schritt des Dialogaufbaus (Setzen einer Ordination und eines Tätigkeitsbereichs) wurde nicht ausgeführt.
    `static int` | `ORDINATION_ID_UNKNOWN` Es wurde ein Failover versucht und die Session zur angegebenen Dialog-Id am Server gefunden, nicht aber die zugeordnete Ordinationsadresse.
    `static int` | `PARAMETER_MISMATCH_EXCEPTION` Die Daten des mit Software-Zertifikat signierten Requests stimmen nicht mit den Parametern der Anfrage überein.
    `static int` | `POLLMSG_NOT_ALLOWED` Es wurde der Dialog mit Nachrichten-Push-Mechanismus aufgebaut, daher ist der Nachrichten-Poll-Mechanismus nicht möglich.
    `static int` | `PRODUKTINFO_INVALID` Die angegebene Produkt-Information ist ungültig.
    `static int` | `PROZESS_WRONG_FORMAT` Das Format von Prozess ist ungültig.
    `static int` | `PUSHMSG_NOT_ALLOWED` Es wurde der Dialog mit Nachrichten-Poll-Mechanismus aufgebaut, daher ist der Nachrichten-Push-Mechanismus nicht möglich.
    `static int` | `SIGNATURE_ALREADY_USED` Die übergebene Signatur wurde bereits für einen anderen Dialogaufbau verwendet.
    `static int` | `SIGNATURE_INVALID` Die zur Authentifizierung verwendete Signatur wird vom e-card-Server nicht akzeptiert.
    `static int` | `SUCHZEITPUNKT_INVALID` Der angegebene Suchzeitpunkt ist ungültig.
    `static int` | `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI` Es sind zu viele offene Dialoge auf diesem Ordinationsclient geöffnet.
    `static int` | `TOO_MANY_OPEN_DIALOGS_FOR_VP` Es sind zu viele offene Dialoge für diesen Vertragspartner am e-card-Serversystem geöffnet.
    `static int` | `UEBERSIEDELN_OFFLINEDATA_DETECTED` Warnung: Es sind noch nicht übertragene Offline-Datensätze für ihre alte Ordinationsadresse vorhanden!

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIALOG_INVALID

          public static final int DIALOG_INVALID

      Die angegebene Dialog-Id ist ungültig.
      Der Dialog wurde nicht erfolgreich aufgebaut, der Dialog wurde über die WEB-GUI aufgebaut, eine falsche Dialog-Id wurde angegeben, eine Überschreitung der Timeout-Zeit des Dialogs ist eingetreten bzw. wurde der Dialog nicht mit Failover aufgebaut, eine Funktion aber im Failover-Fall mit Failover-Information aufgerufen.
      ORCLI-Code: CL-01085
      See Also:
        Constant Field Values

    - #### DIALOG_TIMEOUT

          public static final int DIALOG_TIMEOUT

      Die angegebene Dialog-Id ist nicht mehr gültig.
      Die Timeout-Zeit des Dialogs wurde überschritten. Es muss ein neuer Dialog aufgebaut werden.
      ORCLI-Code: ZS-10001, ZS-10004, CL-00267
      See Also:
        Constant Field Values

    - #### DIALOG_CANCELED

          public static final int DIALOG_CANCELED

      Die angegebene Dialog-Id ist nicht mehr gültig.
      Aufgrund einer Störung wurde der Dialog beendet und muss neu aufgebaut werden.
      ORCLI-Code: ZS-10002
      See Also:
        Constant Field Values

    - #### SIGNATURE_INVALID

          public static final int SIGNATURE_INVALID

      Die zur Authentifizierung verwendete Signatur wird vom e-card-Server nicht akzeptiert.
      ORCLI-Code: CL-00020 (ZS-00043)
      See Also:
        Constant Field Values

    - #### CARD_INVALID

          public static final int CARD_INVALID

      Die zur Authentifizierung verwendete o-card ist am e-card-Serversystem gesperrt.
      ORCLI-Code: CL-00020 (ZS-00044)
      Die e-card wird nicht akzeptiert (gesperrt, abgelaufen). Bitte informieren Sie den Karteninhaber.
      ORCLI-Code: CL-00053 (ZS-00044)
      Die e-card wird nicht akzeptiert (als gestohlen oder verloren gemeldet). Bitte informieren Sie den Inhaber und überprüfen Sie dessen Identität.
      ORCLI-Code: ZS-00099
      Die e-card wird nicht akzeptiert (gesperrt, abgelaufen). Bitte informieren Sie den Inhaber und überprüfen Sie dessen Identität.
      ORCLI-Code: ZS-00100
      Die e-card wird nicht akzeptiert (als gestohlen oder verloren gemeldet).
      ORCLI-Code: ZS-00101
      See Also:
        Constant Field Values

    - #### ORDINATION_ID_INVALID

          public static final int ORDINATION_ID_INVALID

      Die gewählte Ordination und/oder der Tätigkeitsbereich sind nicht (mehr) gültig.
      ORCLI-Code: CL-A0046, ZS-00089
      See Also:
        Constant Field Values

    - #### ORDINATION_ID_NOTSET

          public static final int ORDINATION_ID_NOTSET

      Der letzte Schritt des Dialogaufbaus (Setzen einer Ordination und eines Tätigkeitsbereichs) wurde nicht ausgeführt.
      ORCLI-Code: CL-A0044
      See Also:
        Constant Field Values

    - #### TOO_MANY_OPEN_DIALOGS_FOR_VP

          public static final int TOO_MANY_OPEN_DIALOGS_FOR_VP

      Es sind zu viele offene Dialoge für diesen Vertragspartner am e-card-Serversystem geöffnet.
      ORCLI-Code: ZS-10003
      See Also:
        Constant Field Values

    - #### TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI

          public static final int TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI

      Es sind zu viele offene Dialoge auf diesem Ordinationsclient geöffnet.
      ORCLI-Code: CL-00003
      See Also:
        Constant Field Values

    - #### DIALOG_NOT_AUTHENTICATED

          public static final int DIALOG_NOT_AUTHENTICATED

      Der Dialog wurde noch nicht erfolgreich authentifiziert. Dieser Fehler kann seit der Entfernung von BASE V15 nicht mehr auftreten.
      ORCLI-Code: CL-A0008
      See Also:
        Constant Field Values

    - #### ADDRESS_ALREADY_SET

          public static final int ADDRESS_ALREADY_SET

      Der letzte Schritt des Dialogaufbaus (Setzen einer Ordination und eines Tätigkeitsbereichs) wurde bereits ausgeführt.
      ORCLI-Code: CL-A0045
      See Also:
        Constant Field Values

    - #### DIALOG_OFFLINE_MODUS_CHANGED_ONLINE

          public static final int DIALOG_OFFLINE_MODUS_CHANGED_ONLINE

      Der Dialog ist ungültig (es ist ein Wechsel vom Offline- zum Online-Modus erfolgt).
      Im Fall, dass der Dialog offline aufgebaut wurde ist eine Neuanmeldung erforderlich, um Services, die im Offline-Modus nicht zur Verfügung stehen, nutzen zu können.
      ORCLI-Code: CL-A0012
      See Also:
        Constant Field Values

    - #### FUNCTION_NOT_ALLOWED_IN_ONLINE_MODE

          public static final int FUNCTION_NOT_ALLOWED_IN_ONLINE_MODE

      Die ausgewählte Funktion ist im Online-Modus nicht erlaubt.
      ORCLI-Code: CL-A0013
      See Also:
        Constant Field Values

    - #### NACHFOLGE_ORDID_NOTFOUND

          public static final int NACHFOLGE_ORDID_NOTFOUND

      Die angegebene OrdinationId entspricht keiner gültigen Nachfolge-Ordination.
      ORCLI-Code: CL-A0014, ZS-00047
      See Also:
        Constant Field Values

    - #### DIALOG_NOT_CREATED_BEFORE

          public static final int DIALOG_NOT_CREATED_BEFORE

      Es wurde von diesem Vertragspartner noch kein Dialog aufgebaut, deshalb ist keine Anmeldung im Offline-Modus möglich.
      ORCLI-Code: CL-00196
      See Also:
        Constant Field Values

    - #### INVALID_FG

          public static final int INVALID_FG

      Deprecated. Wird nicht mehr verwendet und daher in einer zukünftigen Schnittstellenversion entfernt.
      Der angegebene Fachgebietscode ist ungültig.
      ORCLI-Code: CL-A0015
      See Also:
        Constant Field Values

    - #### PRODUKTINFO_INVALID

          public static final int PRODUKTINFO_INVALID

      Die angegebene Produkt-Information ist ungültig.
      ORCLI-Code: CL-A0016
      See Also:
        Constant Field Values

    - #### EXT_UID_INVALID

          public static final int EXT_UID_INVALID

      Die angegebene ext-UID ist ungültig.
      ORCLI-Code: CL-A0035
      See Also:
        Constant Field Values

    - #### INVALID_VPNR_FORMAT

          public static final int INVALID_VPNR_FORMAT

      Die angegebene Vertragspartnernummer hat ein ungültiges Format.
      ORCLI-Code: CL-A0041
      See Also:
        Constant Field Values

    - #### INVALID_CERTIFICATE

          public static final int INVALID_CERTIFICATE

      Das zur Authentifizierung verwendete Software-Zertifikat oder die Vertragspartnernummer ist unbekannt, das Software-Zertifikat ist am e-card-Serversystem keiner Vertragspartnernummer zugeordnet, das Software-Zertifikat ist gesperrt oder abgelaufen, das Software-Zertifikat ist semantisch ungültig oder die Prüfung des Signaturformats ist fehlgeschlagen.
      ORCLI-Code: ZS-10008, ZS-10009, ZS-10012, ZS-10015, CL-00272, CL-00274, CL-00280
      See Also:
        Constant Field Values

    - #### INVALID_PARAMETER_COMBINATION

          public static final int INVALID_PARAMETER_COMBINATION

      Die zur Dialogerzeugung verwendeten Parameter sind unzulässig: CardReaderId und VpNummer dürfen nicht gleichzeitig gesetzt sein.
      ORCLI-Code: CL-A0042
      See Also:
        Constant Field Values

    - #### DIALOG_UNKNOWN

          public static final int DIALOG_UNKNOWN

      Es wurde ein Failover versucht, aber die angegebene Dialog-Id ist am Server nicht bekannt.
      Der Dialog wurde entweder noch nicht authentifiziert und die Ordinationsadresse noch nicht gesetzt oder es handelt sich um eine falsche Dialog-Id. Der Dialogaufbau muss erneut erfolgen.
      ORCLI-Code: ZS-10007
      See Also:
        Constant Field Values

    - #### ORDINATION_ID_UNKNOWN

          public static final int ORDINATION_ID_UNKNOWN

      Es wurde ein Failover versucht und die Session zur angegebenen Dialog-Id am Server gefunden, nicht aber die zugeordnete Ordinationsadresse. Der Dialogaufbau muss erneut erfolgen.
      ORCLI-Code: ZS-10010
      See Also:
        Constant Field Values

    - #### DIALOG_ID_ALREADY_EXISTS

          public static final int DIALOG_ID_ALREADY_EXISTS

      Es wurde ein Dialog mit Failover-Support aufgebaut und eine Dialog-Id erzeugt, die am e-card-Server bereits existiert.
      ORCLI-Code: ZS-10011
      See Also:
        Constant Field Values

    - #### INVALID_TRANSACTION_ID

          public static final int INVALID_TRANSACTION_ID

      Die vom externen System generierte TransactionId ist ungültig.
      Mögliche Gründe:
      - formale Angabefehler aufgrund `Null`- oder Leerstringangabe bzw. der Angabe einer zu langen TransactionId (max. 100 Zeichen) oder
      - technische Fehler aufgrund der Verwendung einer TransactionId die zuvor bereits bei einer anderen Methode (andere Funktion) verwendet wurde bzw. ist bereits die mögliche Zeitspanne verstrichen, in der die Funktion erneut mit derselben TransactionId aufgerufen werden kann (Redo/Request-Wiederholung).
      ORCLI-Code: CL-00256, ZS-10013, ZS-10014
      See Also:
        Constant Field Values

    - #### NO_CARD_READER

          public static final int NO_CARD_READER

      Es wurde eine Funktion mit Kartenleserzugriff aufgerufen, aber zuvor beziehungsweise in der Funktion kein Kartenleser zugeordnet/übergeben.
      ORCLI-Code: CL-00255
      See Also:
        Constant Field Values

    - #### DIALOG_ID_MISMATCH

          public static final int DIALOG_ID_MISMATCH

      Es wurde eine Authentifizierung mit Software-Zertifikat versucht, wobei die in der Funktion angegebene Dialog-Id nicht mit der Dialog-Id der Software-Signatur übereinstimmt.
      ORCLI-Code: ZS-10016
      See Also:
        Constant Field Values

    - #### NO_SIGNATURE

          public static final int NO_SIGNATURE

      Es wurde keine Signatur übergeben.
      ORCLI-Code: CL-00261
      See Also:
        Constant Field Values

    - #### NO_VPNR_NUMBER

          public static final int NO_VPNR_NUMBER

      Es wurde bei der Dialogerzeugung keine Vertragspartnernummer angegeben, daher ist die Authentifizierung mit Software-Zertifikat nicht möglich.
      ORCLI-Code: CL-00262
      See Also:
        Constant Field Values

    - #### CORRUPT_DIALOGID

          public static final int CORRUPT_DIALOGID

      Die übergebene Dialog-Id wurde vom System als korrupt erkannt.
      ORCLI-Code: ZS-10017
      See Also:
        Constant Field Values

    - #### POLLMSG_NOT_ALLOWED

          public static final int POLLMSG_NOT_ALLOWED

      Es wurde der Dialog mit Nachrichten-Push-Mechanismus aufgebaut, daher ist der Nachrichten-Poll-Mechanismus nicht möglich.
      ORCLI-Code: CL-00263, ZS-10019
      See Also:
        Constant Field Values

    - #### PUSHMSG_NOT_ALLOWED

          public static final int PUSHMSG_NOT_ALLOWED

      Es wurde der Dialog mit Nachrichten-Poll-Mechanismus aufgebaut, daher ist der Nachrichten-Push-Mechanismus nicht möglich.
      ORCLI-Code: CL-00264, ZS-10018
      See Also:
        Constant Field Values

    - #### CERTIFICATE_MISMATCH

          public static final int CERTIFICATE_MISMATCH

      Das zur Authentifizierung verwendete Software-Zertifikat stimmt nicht mit jenem der Anmeldung überein.
      ORCLI-Code: ZS-10024
      See Also:
        Constant Field Values

    - #### CERTIFICATE_TIMESTAMPS_INVALID

          public static final int CERTIFICATE_TIMESTAMPS_INVALID

      Der Request enthält keine oder ungültig formatierte Zeitstempel.
      ORCLI-Code: CL-00277, ZS-10026
      See Also:
        Constant Field Values

    - #### CERTIFICATE_TIMESTAMP_INTERVAL_INVALID

          public static final int CERTIFICATE_TIMESTAMP_INTERVAL_INVALID

      Der im Request angegebene Gültigkeitszeitraum (Zeitraum zwischen Timestamp Created und Timestamp Expires) ist zu groß gewählt.
      ORCLI-Code: CL-00278, ZS-10027
      See Also:
        Constant Field Values

    - #### CERTIFICATE_REQUEST_OUT_OF_DATE

          public static final int CERTIFICATE_REQUEST_OUT_OF_DATE

      Der Request ist laut Zeitstempel zum aktuellen Zeitpunkt ungültig.
      ORCLI-Code: CL-00279, ZS-10028
      See Also:
        Constant Field Values

    - #### PARAMETER_MISMATCH_EXCEPTION

          public static final int PARAMETER_MISMATCH_EXCEPTION

      Die Daten des mit Software-Zertifikat signierten Requests stimmen nicht mit den Parametern der Anfrage überein.
      ORCLI-Code: ZS-10025
      See Also:
        Constant Field Values

    - #### CERTIFICATE_PROBLEM_OCARD_DIALOG_REQUIRED

          public static final int CERTIFICATE_PROBLEM_OCARD_DIALOG_REQUIRED

      Es ist ein Problem bei der Verwendung des Software-Zertifikats im Offline-Modus zur Authentifizierung oder Signierung eines Requests aufgetreten.
      Mögliche Gründe:
      - Es ist kein Software-Zertifikat am Client vorhanden.
      - Das Software-Zertifikat am Client ist defekt.
      - Das Software-Zertifikat ist abgelaufen.
      ORCLI-Code: CL-00273, CL-00275, CL-00276
      See Also:
        Constant Field Values

    - #### OCARD_GINA_MISMATCH

          public static final int OCARD_GINA_MISMATCH

      Die gesteckte Karte ist nicht zulässig für diese GINA.
      ORCLI-Code: CL-00284
      See Also:
        Constant Field Values

    - #### UEBERSIEDELN_OFFLINEDATA_DETECTED

          public static final int UEBERSIEDELN_OFFLINEDATA_DETECTED

      Warnung: Es sind noch nicht übertragene Offline-Datensätze für ihre alte Ordinationsadresse vorhanden!
      ORCLI-Code: CL-00144
      See Also:
        Constant Field Values

    - #### SUCHZEITPUNKT_INVALID

          public static final int SUCHZEITPUNKT_INVALID

      Der angegebene Suchzeitpunkt ist ungültig.
      ORCLI-Code: CL-00266
      See Also:
        Constant Field Values

    - #### CERTIFICATE_SIGNATURE_ALGORITHM_INVALID

          public static final int CERTIFICATE_SIGNATURE_ALGORITHM_INVALID

      Der zur Erstellung der Software-Zertifikat-Signatur verwendete Algorithmus ist nicht zulässig.
      ORCLI-Code: CL-00288, ZS-10030
      See Also:
        Constant Field Values

    - #### ELGAROLLE_WRONG_FORMAT

          public static final int ELGAROLLE_WRONG_FORMAT

      Das Format von ELGA-Rolle ist ungültig.
      ORCLI-Code: CL-00290
      See Also:
        Constant Field Values

    - #### GDAMA_OR_PROZESS_WITHOUT_ELGAROLLE_NOT_ALLOWED

          public static final int GDAMA_OR_PROZESS_WITHOUT_ELGAROLLE_NOT_ALLOWED

      GDAMA oder Prozess dürfen nur angegeben werden, wenn auch eine ELGA-Rolle versorgt wurde.
      ORCLI-Code: CL-00291
      See Also:
        Constant Field Values

    - #### GDAMA_TITEL_VORNE_WRONG_FORMAT

          public static final int GDAMA_TITEL_VORNE_WRONG_FORMAT

      Das Format von Titel vorne ist ungültig.
      ORCLI-Code: CL-00292
      See Also:
        Constant Field Values

    - #### GDAMA_VORNAME_WRONG_FORMAT

          public static final int GDAMA_VORNAME_WRONG_FORMAT

      Das Format von Vorname ist ungültig.
      ORCLI-Code: CL-00293
      See Also:
        Constant Field Values

    - #### GDAMA_NACHNAME_WRONG_FORMAT

          public static final int GDAMA_NACHNAME_WRONG_FORMAT

      Das Format von Nachname ist ungültig.
      ORCLI-Code: CL-00294
      See Also:
        Constant Field Values

    - #### GDAMA_TITEL_HINTEN_WRONG_FORMAT

          public static final int GDAMA_TITEL_HINTEN_WRONG_FORMAT

      Das Format von Titel hinten ist ungültig.
      ORCLI-Code: CL-00295
      See Also:
        Constant Field Values

    - #### GDAMA_VORNAME_NACHNAME_REQUIRED

          public static final int GDAMA_VORNAME_NACHNAME_REQUIRED

      Bei Angabe von GDA-MA müssen Vorname und Nachname angegeben werden.
      ORCLI-Code: CL-00296
      See Also:
        Constant Field Values

    - #### ELGAROLLE_INVALID

          public static final int ELGAROLLE_INVALID

      Der Wert in ELGA-Rolle ist ungültig.
      ORCLI-Code: ZS-00159
      See Also:
        Constant Field Values

    - #### GDAMA_ZUSATZINFO_WRONG_FORMAT

          public static final int GDAMA_ZUSATZINFO_WRONG_FORMAT

      Das Format von Zusatzinfo ist ungültig.
      ORCLI-Code: CL-00297
      See Also:
        Constant Field Values

    - #### PROZESS_WRONG_FORMAT

          public static final int PROZESS_WRONG_FORMAT

      Das Format von Prozess ist ungültig.
      ORCLI-Code: CL-00298
      See Also:
        Constant Field Values

    - #### GDAMA_OR_PROZESS_REQUIRED

          public static final int GDAMA_OR_PROZESS_REQUIRED

      Entweder GDAMA oder Prozess muss angegeben werden, da eine ELGA-Rolle versorgt wurde.
      ORCLI-Code: CL-00299
      See Also:
        Constant Field Values

    - #### CARDTOKEN_INVALID

          public static final int CARDTOKEN_INVALID

      Das angegebene <e-card-Token | Admin-Karten-Token | CardToken> ist ungültig.
      Mögliche Gründe:
      - Struktur- oder Signaturfehler im Cardtoken
      - Cardtoken wurde an einem anderen Anschluss erstellt
      ORCLI-Code: ZS-00165, ZS-00186
      See Also:
        Constant Field Values

    - #### CARDTOKEN_EXPIRED

          public static final int CARDTOKEN_EXPIRED

      Das angegebene <e-card-Token | Admin-Karten-Token> ist für diese Anwendung nicht mehr gültig.
      ORCLI-Code: ZS-00166
      See Also:
        Constant Field Values

    - #### CARDTOKEN_SVNR_MISMATCH

          public static final int CARDTOKEN_SVNR_MISMATCH

      Die SV-Nummer der verwendeten <e-card | Admin-Karte> stimmt nicht mit der angegebenen SV-Nummer überein.
      ORCLI-Code: ZS-00167
      See Also:
        Constant Field Values

    - #### CARDTOKEN_VPNR_MISMATCH

          public static final int CARDTOKEN_VPNR_MISMATCH

      Das angegebene <e-card-Token | Admin-Karten-Token> ist einem anderen Vertragspartner zugeordnet.
      ORCLI-Code: ZS-00168
      See Also:
        Constant Field Values

    - #### CARDTOKEN_TYPE_NOT_ALLOWED

          public static final int CARDTOKEN_TYPE_NOT_ALLOWED

      Die Verwendung dieser Funktion mit einer <e-card | Admin-Karte | Karte> ist nicht zulässig.
      ORCLI-Code: ZS-00174
      See Also:
        Constant Field Values

    - #### CARDTOKEN_SIG_TYPE_NOT_ALLOWED

          public static final int CARDTOKEN_SIG_TYPE_NOT_ALLOWED

      Die Verwendung dieser Funktion mit dem angegebenen Signaturtyp ist nicht zulässig.
      ORCLI-Code: ZS-00176
      See Also:
        Constant Field Values

    - #### MULTIPLE_DIALOGID

          public static final int MULTIPLE_DIALOGID

      Die Anfrage enthält mehr als eine Dialog-ID.
      ORCLI-Code: ZS-10033
      See Also:
        Constant Field Values

    - #### HERSTELLERID_INVALID

          public static final int HERSTELLERID_INVALID

      Die angegebene Hersteller-ID ist ungültig.
      ORCLI-Code: CL-A0052
      See Also:
        Constant Field Values

    - #### HERSTELLERID_REQUIRED

          public static final int HERSTELLERID_REQUIRED

      Im Zuge des Dialogaufbaus ist die Angabe der Hersteller-ID des Software-Herstellers verpflichtend.
      ORCLI-Code: ZS-10034
      See Also:
        Constant Field Values

    - #### HERSTELLERID_UNKNOWN

          public static final int HERSTELLERID_UNKNOWN

      Die Hersteller-ID des Software-Herstellers ist im e-card System nicht registriert.
      ORCLI-Code: ZS-10035
      See Also:
        Constant Field Values

    - #### HERSTELLERID_DISABLED

          public static final int HERSTELLERID_DISABLED

      Die Hersteller-ID des Software-Herstellers ist im e-card System als gesperrt gekennzeichnet.
      ORCLI-Code: ZS-10036
      See Also:
        Constant Field Values

    - #### SIGNATURE_ALREADY_USED

          public static final int SIGNATURE_ALREADY_USED

      Die übergebene Signatur wurde bereits für einen anderen Dialogaufbau verwendet.
      ORCLI-Code: ZS-10037
      See Also:
        Constant Field Values

    - #### CARDTOKEN_REQUIRED

          public static final int CARDTOKEN_REQUIRED

      Für die Durchführung muss eine Karte verwendet werden.
      ORCLI-Code: CL-A0053
      See Also:
        Constant Field Values

    - #### DIALOG_CURRENTLY_USED

          public static final int DIALOG_CURRENTLY_USED

      Für diese Dialog-ID ist bereits eine andere Anfrage in Bearbeitung. Versuchen Sie es bitte zu einem späteren Zeitpunkt erneut.
      ORCLI-Code: ZS-10040
      See Also:
        Constant Field Values